Name:		tanglet
Version:	1.4.0
Release:	%mkrel 1
Summary:	Word finding game
Group:		Games/Puzzles
License:	GPLv3+
URL:		http://gottcode.org/%{name}/
Source0:	http://gottcode.org/%{name}/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

%description
A single player word finding game based on Boggle. The object of the
game is to list as many words as you can before the time runs out.
There are several timer modes that determine how much time you start
with, and if you get extra time when you find a word.

You can join letters horizontally, vertically, or diagonally in any
direction to make a word, so as long as the letters are next to each
other on the board. However, you can not reuse the same letter cells
in a single word. Also, each word must be at least three letters on
a normal board, and four letters on a large board.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*g
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Jan 29 2017 vaci0 <vaci0> 1.4.0-1.mga6
+ Revision: 1084153
- Update to new version 1.4.0

* Wed Feb 17 2016 umeabot <umeabot> 1.3.1-2.mga6
+ Revision: 963001
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 wally <wally> 1.3.1-1.mga6
+ Revision: 852835
- use .desktop file from upstream

  + vaci0 <vaci0>
    - Update new version 1.3.1
    - Rebuild for qt5
    - Clean .spec

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 749001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 689687
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 1.2.2-1.mga5
+ Revision: 581101
- new version 1.2.2
- clean .spec a bit

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 519523
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 384035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 juancho <juancho> 1.2.1-2.mga3
+ Revision: 251816
- Removed unneeded g++ BR
- Removed spaces from desktop file entries.

  + vaci0 <vaci0>
    - imported package tanglet

